|  | Home | Documentation | soap_mec_data Struct Reference updated by Robert van Engelen |

Public Attributes | List of all members
soap_mec_data Struct Reference

The mecevp engine context data. More...

`#include <mecevp.h>`

## Public Attributes

int | alg
enum SOAP_MEC_STATE | state
EVP_CIPHER_CTX * | ctx
const EVP_CIPHER * | type
char | tag [16]
char | taglen
const EVP_PKEY * | pkey
unsigned char | ekey [EVP_MAX_KEY_LENGTH]
const unsigned char * | key
unsigned char | iv [EVP_MAX_IV_LENGTH]
int | keylen
char * | buf
size_t | bufidx
size_t | buflen
char * | rest
size_t | restidx
size_t | restlen
int | i
unsigned long | m
soap_mode | mode
int(* | ffiltersend )(struct soap *, const char **, size_t *)
int(* | ffilterrecv )(struct soap *, char *, size_t *, size_t)

## Detailed Description

The mecevp engine context data.

## Member Data Documentation

## ◆ alg

int soap_mec_data::alg

The algorithm used

## ◆ buf

char* soap_mec_data::buf

iv and stream buffer

## ◆ bufidx

size_t soap_mec_data::bufidx

current buffer index

## ◆ buflen

size_t soap_mec_data::buflen

buffer max length

## ◆ ctx

EVP_CIPHER_CTX* soap_mec_data::ctx

EVP_CIPHER_CTX context

## ◆ ekey

unsigned char soap_mec_data::ekey[EVP_MAX_KEY_LENGTH]

ephemeral key

## ◆ ffilterrecv

int(* soap_mec_data::ffilterrecv) (struct soap *, char *, size_t *, size_t)

## ◆ ffiltersend

int(* soap_mec_data::ffiltersend) (struct soap *, const char **, size_t *)

## ◆ i

int soap_mec_data::i

base64 conversion

## ◆ iv

unsigned char soap_mec_data::iv[EVP_MAX_IV_LENGTH]

IV buffer

## ◆ key

const unsigned char* soap_mec_data::key

secret key

## ◆ keylen

int soap_mec_data::keylen

secret key length

## ◆ m

unsigned long soap_mec_data::m

base64 conversion

## ◆ mode

soap_mode soap_mec_data::mode

## ◆ pkey

const EVP_PKEY* soap_mec_data::pkey

private key for OpenInit

## ◆ rest

char* soap_mec_data::rest

rest-append buffer

## ◆ restidx

size_t soap_mec_data::restidx

rest-append buffer index

## ◆ restlen

size_t soap_mec_data::restlen

rest-append buffer max length

## ◆ state

enum SOAP_MEC_STATE soap_mec_data::state

Decryption state

## ◆ tag

char soap_mec_data::tag[16]

GCM authentication tag buffer

## ◆ taglen

char soap_mec_data::taglen

GCM authentication tag buffer length

## ◆ type

const EVP_CIPHER* soap_mec_data::type

type for OpenInit/DecryptInit

The documentation for this struct was generated from the following file:

- mecevp.h